import axios from 'axios'

const instance = axios.create({
    baseURL: 'http://localhost:9090'
})
instance.interceptors.request.use(
    config =>{  // 拦截器成功函数
        if(config.methods == "post"){
            config.data = querystring.stringify(config.data)
        }

        // config:包含着网络请求的所有信息
        return config;
    },
    error =>{  // 拦截器失败函数

        // 返回错误信息
        return Promise.reject(error)
    }
)

// 拦截器----获取数据之前
instance.interceptors.response.use(
    response =>{  // 拦截器成功函数
        return response.status == 200 ? Promise.resolve(response):Promise.reject(response)
    },
    error =>{  // 拦截器失败函数
        const { response } = error;
        errorHandle(response.status,response.info)
    }
)


export default instance